aboutsummaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMathieu Pasquet <kiorky@cryptelium.net>2007-02-17 14:37:38 +0000
committerMathieu Pasquet <kiorky@cryptelium.net>2007-02-17 14:37:38 +0000
commitd47d88360fc03aabced4027ae23479613f128a1f (patch)
tree70c08e4860b3a4aa6202012b8c4ec55e42fedd54 /eclass
parenteclass/jboss-4-tmp.eclass: commiting stuff to my jboss eclass (diff)
downloadjava-d47d88360fc03aabced4027ae23479613f128a1f.tar.gz
java-d47d88360fc03aabced4027ae23479613f128a1f.tar.bz2
java-d47d88360fc03aabced4027ae23479613f128a1f.zip
eclass/jboss-4-tmp.eclass: commiting stuff to my jboss eclass part2
svn path=/migrated-java-experimental-overlay/; revision=3837
Diffstat (limited to 'eclass')
-rw-r--r--eclass/jboss-4-tmp.eclass5
1 files changed, 2 insertions, 3 deletions
diff --git a/eclass/jboss-4-tmp.eclass b/eclass/jboss-4-tmp.eclass
index 68593c88..6c52e1cb 100644
--- a/eclass/jboss-4-tmp.eclass
+++ b/eclass/jboss-4-tmp.eclass
@@ -72,13 +72,12 @@ jboss-4_fix-dir() {
temp="${temp//-/_}_pkgs" # convert - to _
debug-print "variable name=${temp}"
eval java_pkg_args=\$$temp # get the contents of temp
- echo $java_pkg_args
# take care about whitespaces in list
java_pkg_args=$(echo ${java_pkg_args}|\
sed -re "s/\s+/__/g" |\
sed -re "s/,/ /g" \
- || die "substitue failed")
- ewarn debug-print "value of ${temp}=${java_pkg_args}"
+ || die "substitute failed")
+ debug-print "value of ${temp}=${java_pkg_args}"
local full_dir=${JBOSS_ROOT}/${relative_dir}
einfo "Fixing jars in ${full_dir}"